GDB (xrefs)

Public Attributes | List of all members
parse_stack Struct Reference

## Public Attributes
struct parse_stack * | next
struct parse_stack * | prev
struct symtab * | cur_st
struct block * | cur_block
int | blocktype
struct type * | cur_type
int | cur_field
CORE_ADDR | procadr
int | numargs

## Detailed Description

Definition at line 405 of file mdebugread.c.

## Member Data Documentation

## ◆ blocktype

int parse_stack::blocktype

Definition at line 417 of file mdebugread.c.

Referenced by parse_symbol(), and psymtab_to_symtab_1().

## ◆ cur_block

struct block* parse_stack::cur_block

Definition at line 409 of file mdebugread.c.

Referenced by parse_procedure(), parse_symbol(), and psymtab_to_symtab_1().

## ◆ cur_field

int parse_stack::cur_field

Definition at line 420 of file mdebugread.c.

Referenced by parse_symbol().

## ◆ cur_st

struct symtab* parse_stack::cur_st

Definition at line 408 of file mdebugread.c.

Referenced by add_data_symbol(), parse_procedure(), parse_symbol(), and psymtab_to_symtab_1().

## ◆ cur_type

struct type* parse_stack::cur_type

Definition at line 419 of file mdebugread.c.

Referenced by parse_symbol(), and psymtab_to_symtab_1().

## ◆ next

struct parse_stack* parse_stack::next

Definition at line 407 of file mdebugread.c.

Referenced by gdb.FrameIterator.FrameIterator::__next__(), pop_parse_stack(), and push_parse_stack().

## ◆ numargs

int parse_stack::numargs

Definition at line 422 of file mdebugread.c.

Referenced by parse_symbol(), and psymtab_to_symtab_1().

## ◆ prev

struct parse_stack * parse_stack::prev

Definition at line 407 of file mdebugread.c.

Referenced by push_parse_stack().

## ◆ procadr

CORE_ADDR parse_stack::procadr

Definition at line 421 of file mdebugread.c.

Referenced by parse_symbol(), and psymtab_to_symtab_1().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/mdebugread.c